## python-traceback2 1.4.0

=== Makefile ===
# tag it first.
release:
	python setup.py sdist bdist_wheel upload -s

=== debian/changelog ===
python-traceback2 (1.4.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * Add six as runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Apr 2018 14:45:12 +0000

python-traceback2 (1.4.0-4) unstable; urgency=medium

  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:52:22 +0100

python-traceback2 (1.4.0-3) unstable; urgency=medium

  * Fixed FTBFS by not running unit tests: there's no way to do it the way
    upstream organized sources and dependencies (Closes: #799163).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 08:48:26 +0000

python-traceback2 (1.4.0-2) unstable; urgency=medium

  * Applied Ubuntu patch to run unit tests at build time (Closes: #795891).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 11:14:16 +0000

python-traceback2 (1.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #791791)

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Apr 2015 09:25:58 +0200

=== debian/control ===
Source: python-traceback2
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-contextlib2,
 python-fixtures,
 python-linecache2,
 python-six,
 python-testtools,
 python-unittest2,
 python3-contextlib2,
 python3-fixtures,
 python3-linecache2,
 python3-six,
 python3-testtools,
 python3-unittest2,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-traceback2
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-traceback2.git
Homepage: https://github.com/testing-cabal/traceback2

Package: python-traceback2
Architecture: all
Depends:
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: backports of the traceback module - Python 2.7
 This package offers a backport of the traceback package to older supported
 Pythons. Users would typically do: "import traceback2 as traceback" then use
 the module as if it was the system traceback.
 .
 In Python 2.x, unlike traceback, traceback2 creates unicode output (because it
 depends on the linecache2 module).
 .
 This package contains the Python 2.7 module.

Package: python3-traceback2
Architecture: all
Depends:
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: backports of the traceback module - Python 3.x
 This package offers a backport of the traceback package to older supported
 Pythons. Users would typically do: "import traceback2 as traceback" then use
 the module as if it was the system traceback.
 .
 In Python 2.x, unlike traceback, traceback2 creates unicode output (because it
 depends on the linecache2 module).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/testing-cabal/traceback2.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

export http_proxy=http://127.0.0.1:9
export https_proxy=http://127.0.0.1:9


%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-traceback2; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-traceback2; \
	done
	rm -rf $(CURDIR)/debian/python*-traceback2/usr/lib/python*/dist-packages/*.pth

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

# Disable unit tests until there's a way to do it properly.
#override_dh_auto_test:
#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	@echo "===> Running tests"
#	set -ex && for i in $(PYTHONS) $(PYTHON3S) ; do \
#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
#		PYTHONPATH=. PYTHON=python$$i python$$PYMAJOR-unit2; \
#	done
#endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/testing-cabal/traceback2/tags .*/(\d[\d\.]+)\.tar\.gz
